Jetty 9.4.12 发布,支持 JDK 11 和 TLS 1.3

达尔文
 达尔文
发布于 2018年09月02日
收藏 1

Jetty 9.4.12 已发布,该版本包含了对 JDK 11 的兼容性,并实现了 TLS 1.3 支持。虽然尚未完整支持新的 JDK ,但此版本已针对最新版本的 JDK 进行兼容性构建和测试。

Jetty 是一个开源的 servlet 容器,它为基于 Java 的 web 内容,例如 JSP 和 servlet 提供运行环境。Jetty 是使用 Java 语言编写的,它的 API 以一组 JAR 包的形式发布。开发人员可以将 Jetty 容器实例化成一个对象,可以迅速为一些独立运行(stand-alone)的 Java 应用提供网络和 web 连接。

Jetty 9.4.12 包含大量的错误修复和改进。主要更新内容如下:

  • 300 Implement Deflater / Inflater Object Pool

  • 307 Monitor contention in AbstractNCSARequestLog

  • 321 Remove JaspiAuthenticatorFactory.findServerName(Server, Subject)

  • 901 Overriding SSL context KeyStoreType requires explicit override of TrustStoreType

  • 1688 Request with `Content-Encoding: gzip` should not perform parameter extraction

  • 1905 Deprecate jetty-runner now, present warnings when using it on Java 9+ Runtimes

完整更新内容请从这里获取。

下载地址:

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Jetty 9.4.12 发布,支持 JDK 11 和 TLS 1.3
加载中
返回顶部
顶部